#!/bin/sh

if [ ! -r VERSION ] ; then
	echo "$0: No VERSION file! "
	exit 1
fi
version="`cat VERSION`"
if [ "$version" != "kehpager V1.23" ] ; then
	echo "This patch must run agaist kehpager V1.23!"
	echo "This source is: $version"
	exit 1
fi
 
if [ ! -r COPYRIGHT ] ; then
	echo "Creating file COPYRIGHT ..."
else
	echo "Updating file COPYRIGHT ..."
	mv COPYRIGHT COPYRIGHT.orig || exit 1
fi
if cp patch4.COPYRIGHT COPYRIGHT ; then
	echo "OK"
else
	exit 1
fi

echo "Creating file kehpager.init.sunos4 ..."
if [ -r kehpager.init.sunos4 ] ; then
	mv kehpager.init.sunos4 kehpager.init.sunos4.orig || exit 1
fi
if cp patch4.kehpager.init.sunos4 kehpager.init.sunos4 ; then
	echo "OK"
else
	exit 1
fi


echo "Creating file kehpager.init.sunos5 ..."
if [ -r kehpager.init.sunos5 ] ; then
	mv kehpager.init.sunos5 kehpager.init.sunos5.orig || exit 1
fi
if cp patch4.kehpager.init.sunos5 kehpager.init.sunos5 ; then
	echo "OK"
else
	exit 1
fi


echo "Creating file kehpager.init.irix4 ..."
if [ -r kehpager.init.irix4 ] ; then
	mv kehpager.init.irix4 kehpager.init.irix4.orig || exit 1
fi
if cp patch4.kehpager.init.irix4 kehpager.init.irix4 ; then
	echo "OK"
else
	exit 1
fi


echo "Creating file kehpager.init.irix5 ..."
if [ -r kehpager.init.irix5 ] ; then
	mv kehpager.init.irix5 kehpager.init.irix5.orig || exit 1
fi
if cp patch4.kehpager.init.irix5 kehpager.init.irix5 ; then
	echo "OK"
else
	exit 1
fi

echo "Patching rest of source..."
if patch -c -N <patch4.diff ; then
	echo "Patching OK"
else
	exit 1
fi
echo "Kehpager is updated to version 1.24"
exit 0
